require 'fileutils'
require 'etc'

module Vpsb
  module Helpers
    class FileReplace
      def self.replace_json(path, hash)
        replace_text(path, hash.to_json)
      end

      def self.replace_text(path, text)
        file_path = File.join(Dir.pwd, path)
        FileUtils.rm(file_path) if File.exist?(file_path)
        File.open(file_path,"w") do |f|
          f.write(text)
        end
      end
    end
  end
end