module Vpsb
  module Resources
    class DeployToKnownHosts < BaseAskResource
      res :deploy_to_known_hosts
      question 'Enter known hosts (example: bitbucket.org, github.com)?'
      private

      def finalize(answer)
        answer.split(',').join(' ').split(' ').compact.uniq
      end
    end
  end
end