module Vpsb
  module Resources
    class DoRegion < BaseResource
      include AskSupport
      include ShellSupport
      res :do_region

      def call(core)
        puts "Loading list of available regions"
        in_dir(core.get(:server_app_path), "knife digital_ocean region list")
        answer = ask { puts 'Which region? Enter its id (default: 5)' }.strip
        answer.empty? ? '5' : answer
      end
    end
  end
end