module Vpsb
  module Resources
    class DoSize < BaseResource
      include AskSupport
      include ShellSupport
      res :do_size

      def call(core)
        puts "Loading list of available disc sizes"
        in_dir(core.get(:server_app_path), 'knife digital_ocean size list')
        answer = ask { puts 'What size? Enter its id (default: 66)' }.strip
        answer.empty? ? '66' : answer
      end
    end
  end
end