module Vpsb
  module Resources
    class PackagesBagsJson < BaseResource
      res :packages_bags_json

      def call(data)
        template(data)
      end

      private

      def template(data)
        {
          id: "packages",
          apps: data.get(:packages_list)
        }
      end
    end
  end
end