module Vpsb
  module Resources
    class PackagesList < BaseAskResource
      res :packages_list
      question 'Package list to instalation from apt-get (example: mc, htop)?'
      private

      def finalize(answer)
        return [] if answer.empty?
        answer.split(',').join(' ').split(' ').compact.uniq
      end

      def validate
        Proc.new { true }
      end
    end
  end
end