module Vpsb
  module Tasks
    class DropletSshKeys < BaseTask
      include AskSupport
      attr_reader :core

      def initialize(core)
        @core = core
      end

      prepare_squence :do_ssh_path

      def call
        prepare
        core.get(:ssh_helper).generate_ssh(core.get(:do_ssh_path))
        puts core.get(:ssh_helper).pub_key(core.get(:do_ssh_path))
        ask { puts "Visit https://cloud.digitalocean.com/ssh_keys and add add the key above. Press Enter to continue" }
      end

    end
  end
end