module Vpsb
  module Tasks
    class DropletSshUpdateConfig < BaseTask
      include AskSupport
      attr_reader :core

      def initialize(core)
        @core = core
      end

      prepare_squence :ssh_helper, :do_host_ip, :do_ssh_pub_path

      def call
        prepare
        core.get(:ssh_helper).add_host_to_config(core.get(:do_host_ip), core.get(:do_ssh_pub_path), 'root')
      end

    end
  end
end