module Vpsb
  module Commands
    class Cook
      include AskSupport
      include ShellSupport
      def initialize(core)
        @core = core
      end

      def execute(params)
        # ip = ask { puts "What is ip address server node to cook (example: 22.11.3.11)?" }
        ip  = core.get(:do_host_ip)
        run("librarian-chef install")
        run("knife solo prepare root@#{ip} --bootstrap-version 11.12.4")
        run("knife solo bootstrap root@#{ip}")
      end

      private
      attr_reader :core

      def run(what)
        in_dir('bootstrap_server_app_in_do', what)
      end

    end
  end
end