module Vpsb
  module Commands
    class Deploy
      include AskSupport
      def initialize(core)
        @core = core
      end

      def execute(params)

        Vpsb::Tasks::DeployConfig.new(core).call
        puts "Start deploying app."
        run(core.get(:rails_app_path), 'bundle exec cap production deploy')
        puts "app is ready! Visit #{core.get(:do_host_ip)}"
      end

      private
      attr_reader :core

      def run(where, what)
        system("cd #{where} && #{what}")
      end
    end
  end
end