module Vpsb
  module Resources
    class DeployConfig < BaseResource
      res :deploy_config

      def call(data)
        template(data)
      end

      private

      def template(data)
      user   = '#{user}'
      domain = '#{domain}'
<<-EOF
set :stage,     :production
set :rails_env, :production
fetch(:default_env).merge!(rails_env: :production)

domain = '#{data.get(:do_host_ip)}'
user   = 'deploy'

role :app, "#{user}@#{domain}"
role :web, "#{user}@#{domain}"
role :db,  "#{user}@#{domain}", primary: true

server domain, user: user, roles: %w{db web app}
EOF
      end
    end
  end
end