module Vpsb
  module Resources
    class DeployKeychain < BaseAskResource
      res :deploy_keychain
      # TODO ask for ssh_keys from .ssh
      question 'Enter id_dsa and id_dsa.pub for deploy (example: -----BEGIN RSA, ssh-rsa AB...)'
      private

      def finalize(answer)

        arr = answer.split(',').join(' ').split(' ').compact.uniq
        {
          id_dsa: arr.shift,
          "id_dsa.pub" => arr.shift
        }
      end
    end
  end
end