module Vpsb
  module Resources
    class DoDropletSshKey < BaseResource
      include AskSupport
      include ShellSupport
      res :do_droplet_ssh_key

      def call(core)
        puts "Loading list of available ssh keys"
        in_dir(core.get(:server_app_path), 'knife digital_ocean sshkey list')
        ask_loop { puts 'Which ssh key? Enter its id' }
      end
    end
  end
end