module Vpsb
  module Resources
    class DoImage < BaseResource
      include AskSupport
      include ShellSupport
      res :do_image

      def call(core)
        puts "Loading list of available operating systems"
        in_dir(core.get(:server_app_path), "knife digital_ocean image list -G | grep -i 'Ubuntu [ ]* Ubuntu 1[0234]\.[01][04]'")
        answer = ask { puts 'Which system? Enter its id (default: 3101918)' }.strip
        answer.empty? ? '3101918' : answer
      end
    end
  end
end