module Vpsb
  module Resources
    class EsMemlock < BaseAskResource
      res :es_memlock
      question 'Elasticsearch memory limit (Default 256)?'
      default  '256'

      private

      def validate
        Proc.new do |answer|
          next true if answer.empty?
          answer.to_i > 0
        end
      end
    end
  end
end