module Vpsb
  module Resources
    class EsNofile < BaseAskResource
      res :es_nofile
      question 'Elasticsearch open files limit (Default 1024)?'
      default  '1024'

      private

      def validate
        Proc.new do |answer|
          next true if answer.empty?
          answer.to_i > 0
        end
      end
    end
  end
end