module Vpsb
  module Resources
    class HasDoAccount < BaseResource
      include AskSupport

      res :has_do_account

      def call(core)
        ask_to_confirm("Do you have account on DigitalOcean?") do |has_account|
          unless has_account
            ask { puts 'Create new account via link: https://www.digitalocean.com/?refcode=71281f14ac3c. Press Enter when ready to continue' }
          end
        end

        true
      end
    end
  end
end