module Vpsb
  module Resources
    class ReadDoApiAccess < BaseResource
      include AskSupport

      res :read_do_api_access

      def call(core)
        if core.data[:do_client_id].nil? && core.data[:do_client_id].nil?
          ask { puts 'Visit https://cloud.digitalocean.com/api_access and generate API access key' }
        end
        core.data[:do_client_id] = ask_loop { puts 'Paste your client id: ' }
        core.data[:do_api_key]   = ask_loop { puts 'Paste your api key: ' }
      end

      def valid?
        true
      end
    end
  end
end