module Vpsb
  module Resources
    class UnicornWorkerProcesses < BaseAskResource
      res :unicorn_worker_processes
      question 'How many unicorn worker processes setup (Default 4)?'
      default  '4'

      private

      def validate
        Proc.new do |answer|
          next true if answer.empty?
          answer.to_i > 0
        end
      end
    end
  end
end