module Vpsb
  module Resources
    class UnicornWorkerTimeout < BaseAskResource
      res :unicorn_worker_timeout
      question 'What unicoren worker timeout setup (Default 30)?'
      default  '30'

      private

      def validate
        Proc.new do |answer|
          next true if answer.empty?
          answer.to_i > 0
        end
      end
    end
  end
end