module Vpsb
  module Tasks
    class DbPostgresBags < BaseTask
      include AskSupport

      PATH = 'bootstrap_server_app_in_do/data_bags/db_users/postgresql.json'

      prepare_squence :db_postgres_pass, :db_postgresql_bags_json

      def call
        prepare

        ask_loop(proc {|r| process(r)}) do
          ap preparation_results
          p "Save this configuration y[es]/n[o]?"
        end

        Vpsb::Helpers::FileReplace.replace_json(PATH, core.get(:db_postgresql_bags_json))
      end

      private

      def process(result)
        return true if result[0].to_s.downcase == 'y'
        reprepare
        false
      end
    end
  end
end


