module Vpsb
  module Tasks
    class DbPostgresRole < BaseTask
      include AskSupport

      PATH = 'bootstrap_server_app_in_do/roles/db.json'

      prepare_squence :db_postgres_version, :db_postgres_json

      def call
        prepare
        Vpsb::Helpers::FileReplace.replace_json(PATH,core.get(:db_postgres_json))
      end

      private

      def process(result)
        return true if result[0].to_s.downcase == 'y'
        reprepare
        false
      end
    end
  end
end


