module Vpsb
  module Tasks
    class DeployConfig < BaseTask
      include AskSupport

      PATH           = 'bootstrap_rails_app_in_do/config/deploy/production.rb'
      DEPLOY_RB_PATH = 'bootstrap_rails_app_in_do/config/deploy.rb'

      prepare_squence :deploy_config, :deploy_rb

      def call
        prepare
        Vpsb::Helpers::FileReplace.replace_text(PATH,           core.get(:deploy_config))
        Vpsb::Helpers::FileReplace.replace_text(DEPLOY_RB_PATH, core.get(:deploy_rb))
      end
    end
  end
end


